Bug 221568 - Name's in oo.o desktop files should be translated
Summary: Name's in oo.o desktop files should be translated
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords: MoveUpstream, Translation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-05 08:01 UTC by Jens Petersen
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 11:20:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 73408 None None None Never

Description Jens Petersen 2007-01-05 08:01:37 UTC
Description of problem:
The Office menu would look much better if the Name field in the desktop
files was translated.

Steps to Reproduce:
1. install distro for non-English language
2. go to Office submenu of Applications menu
  
Actual results:
Oo.o app names are not translated but others are

Expected results:
All Office apps names to be translated.

Additional info:
If we're using the upstream desktop files then I guess this needs to
be changed upstream.

Comment 1 Caolan McNamara 2007-01-05 09:33:55 UTC
our (gone now) RH UserExperience team forced me to use "Word Processor" etc in
the .desktop files instead  of the OOo brandnames, so there aren't upstream
pre-translated .desktop files I can use.

Nevertheless I've added a stack of translations to rawhide for especially calc,
and a handful for the other components. 

There's little I can personally do myself the translations, except maybe swindle
upstream into taking a GenericName into their .desktops and leverage ourselves
on top of the translations that would hopefully then appear there. I guess
that's worth a shot.

Comment 2 Caolan McNamara 2007-01-12 11:20:38 UTC
Logging http://www.openoffice.org/issues/show_bug.cgi?id=73408 upstream to
introduce a localized "GenericName" and seed it with the current translations
that we use for "Name". With the idea that it will move into the OOo translation
process and our tweak degenerates to using the pre-translated GenericName over Name


Note You need to log in before you can comment on or make changes to this bug.